<template>
    <div>
        <vol-box :lazy="true" v-model="detialBox" title="手动移库" :height="350" :width="400" :padding="15">
            <div>
                <el-form :model="formdata" label-width="120px" :rules="rules" size="mini" ref="ruleFormRef">
                    <!-- <el-form-item label="类型">
                        <el-radio-group v-model="inType" class="ml-4">
                            <el-radio label="handle">手动出料</el-radio>
                            <el-radio label="auto" disabled>自动出料</el-radio>
                        </el-radio-group>
                    </el-form-item> -->

                    <el-form-item v-if="inType == 'handle'" label="起始地址" prop="from_address">
                        <el-select v-model="formdata.from_address" clearable filterable placeholder="请选择起始地址">
                            <el-option v-for="item in formAddressList" :label="item.key" :value="item.key" />
                        </el-select>
                    </el-form-item>
                    <el-form-item label="目的地址" prop="to_address">
                        <el-select v-model="formdata.to_address" clearable filterable placeholder="请选择目的地址">
                            <el-option v-for="item in toAddressList" :label="item.key" :value="item.key" />
                        </el-select>
                    </el-form-item>
                    <el-form-item label="">
                        <el-button type="primary" @click="onSubmit()" size="mini"> 确认移库</el-button>
                    </el-form-item>
                </el-form>
            </div>
        </vol-box>
    </div>
</template>
  

<script >
import VolBox1Vue from '@/components/basic/VolBox.vue';
export default {
    components: { "vol-box": VolBox1Vue },
    methods: {},
    created() {
        this.http.post("/api/Sys_Dictionary/GetVueDictionary", ["route_began", "route_end"]).then(x => {
            x.forEach(item => {
                if (item.dicNo == 'route_end') {
                    this.toAddressList = item.data;
                } else if (item.dicNo == 'route_began') {
                    this.formAddressList = item.data;
                }
            })
        })
    },
    data() {
        return {
            detialBox: false,
            inType: "handle",
            rules: {
                from_address: [{ required: true, message: '请选择NG下料位', trigger: 'blur' }],
                // from_address: [{ required: true, message: '请选择起始地址', trigger: 'blur' }],
                // to_address: [{ required: true, message: '请选择目的地址', trigger: 'blur' }]
            },
            formdata: {
                from_address: "",
                to_address: ""
            },
            formAddressList: [],
            toAddressList: []
        };
    },
    methods: {
        onSubmit() {
            var _this = this;
            this.$refs.ruleFormRef.validate((valid) => {
                if (valid) {
                    _this.http.post("/api/ToMes/AddToFloat3", _this.formdata, "正在添加....").then(x => {
                        if (!x.status) return _this.$Message.error(x.message);
                        _this.$Message.success("添加成功!");
                        _this.refresh();
                    });
                }
            })
        }
    },
};
</script>
  
  
<style>
.formContainer {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}
</style>
  